Retrieves the collection of Production resources.
curl --request GET \
--url https://www.fmdb.net/api/productions \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.fmdb.net/api/productions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.fmdb.net/api/productions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "<string>",
"attributes": {
"_id": "dc2dc469-956d-4202-9501-f5df554753f8",
"title": "The Godfather",
"_type": "movie",
"year": 1972,
"country": "US",
"release_date": "1972-03-24",
"akas": "Der Pate\nEl Padrino",
"description": "The aging patriarch of an organized crime dynasty...",
"imdb": "tt0068646",
"tmdb": "238",
"igdb": "<string>",
"slug": "the-godfather",
"release_count": 5,
"recording_count": 12,
"composers": [
{
"id": "aea8208e-167f-4824-b51d-29a6a348d82b",
"name": "John Williams"
}
],
"images": [
{}
],
"created_at": "2024-01-15T10:00:00+00:00",
"updated_at": "2024-01-15T14:30:00+00:00"
},
"relationships": {
"parent": {
"data": {
"type": "<string>",
"id": "<string>"
}
}
}
}
],
"links": {
"self": "string",
"first": "string",
"prev": "string",
"next": "string",
"last": "string"
},
"meta": {
"totalItems": 1,
"itemsPerPage": 1,
"currentPage": 1
},
"included": [
{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"_id": "dc2dc469-956d-4202-9501-f5df554753f8",
"title": "The Godfather",
"_type": "movie",
"year": 1972,
"country": "US",
"release_date": "1972-03-24",
"akas": "Der Pate\nEl Padrino",
"description": "The aging patriarch of an organized crime dynasty...",
"imdb": "tt0068646",
"tmdb": "238",
"igdb": "<string>",
"slug": "the-godfather",
"release_count": 5,
"recording_count": 12,
"composers": [
{
"id": "aea8208e-167f-4824-b51d-29a6a348d82b",
"name": "John Williams"
}
],
"images": [
{}
],
"created_at": "2024-01-15T10:00:00+00:00",
"updated_at": "2024-01-15T14:30:00+00:00"
},
"relationships": {
"parent": {
"data": {
"type": "<string>",
"id": "<string>"
}
}
}
},
"included": "<array>"
}
]
}Production
Retrieves the collection of Production resources.
Retrieves the collection of Production resources.
GET
/
api
/
productions
Retrieves the collection of Production resources.
Authorizations
API token authentication
Query Parameters
The collection page number
Production title
Production title
Production country
Production country
Production year
Production year
Production type
Production q
Production order[title]
Available options:
asc, desc, ASC, DESC Production order[year]
Available options:
asc, desc, ASC, DESC Production order[country]
Available options:
asc, desc, ASC, DESC Production order[createdAt]
Available options:
asc, desc, ASC, DESC Response
200 - application/vnd.api+json
Production collection
Production.jsonapi collection.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
{
"self": "string",
"first": "string",
"prev": "string",
"next": "string",
"last": "string"
}
Show child attributes
Show child attributes
Related resources requested via the "include" query parameter.
Show child attributes
Show child attributes
⌘I
